# Easyship::SalesTax::Calculator

To calculate VAT/GST/QST

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'vat-gst-calculator'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install vat-gst-calculator

## Usage

```ruby
Easyship::SalesTax::Calculator.calculate(
  origin_country_alpha2: origin_country_alpha2,
  destination_country_alpha2: destination_country_alpha2,
  origin_state: origin_state,
  destination_state: destination_state,
  fees: Easyship::SalesTax::Fee.new(10, 20, 30, 40) # (shipment_charge_total, insurance_fee, pickup_fee, residential_surcharge)
)
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/easyship/vat-gst-calculator. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Easyship::SalesTax::Calculator project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/easyship/vat-gst-calculator/blob/master/CODE_OF_CONDUCT.md).
